;
; Configuration of the driver setup wizard
:

; general settings that apply to both 32 and 64 bit systems
[Setup]

; Product name shown in dialogs. 
;Note: The setup automatically appends strings like 'Setup' and 'Uninstall' depending
;      on the purpose of the dialogs. So don't use these strings as part of the name!
ProductName=Utrack Driver

; Product version shown in dialogs. 
ProductVersion=1.35.20

; Support Company. Display on "Programs and Features" menu.
SupportCompany=IconGlobal

; Registry path of the installed software. It is also used to store setup information.
; The path is relative to HKEY_LOCAL_MACHINE\Software.
; Note: This key must not be changed in future releases of the setup package.
; Otherwise setup cannot detect whether or not another version already exists
; on the target system and cannot call the uninstaller of the existing version.
SoftwareRegPath=IconGlobal\utrack\Drivers\Setup

; Default destination directory on the user's system.
; The path is relative to 'Program Files'.
DefaultDestDir=IconGlobal\utrack_Driver

; Define whether a license agreement should be displayed and accepted by the user 
; before installation begins. The text has to be provided in a plain text file named 
; "license.txt" if the following option is enabled.
ShowLicenseText=1

; This key specifies the files to be copied from the setup package to the destination directory.
; Several files may be specified as a comma separated list.
; Note that files mentioned in other keys are copied by default and are not to be included in 
; this key (see below).
CopyFiles=utrackl2.ihx, utrackap.ihx, utrackcf.bin

; This key specifies the 32 bit ASIO DLL
; This file will also be copied to the destination directory.
; This key is optional. No ASIO DLL will be installed if it is empty.
AsioDll=utrackasio.dll

; This key specifies the USBPAL Service executable
; This file will also be copied to the destination directory.
ServiceExe=utracksvc.exe

; This key specifies the control panel application.
; This file will also be copied to the destination directory.
; This key is optional. No control panel will be installed if it is empty.
;ControlPanelExe=usbpalcpl.exe
ControlPanelExe=utrackcpl.exe

; Keys of type ShortCutX=ValueString define shortcuts to be created.
; Start with X=1 and increment X with each shortcut definition.
; ValueString has the following format:
;
; SC_ROOT|SC_PATH|SC_NAME|TARGETFILE_PATH_AND_NAME|PARAMS|START_PATH
;
;   SC_ROOT       Root directory of the shortcut. This directory
;                 will not be deleted during uninstallation. It can
;                 be set to the following variables:
;                 $SM_PROG_CURRENT_USER (start menu\programs of the current user)
;                 $SM_STARTUP_CURRENT_USER (start menu\startup of the current user)
;                 $SM_PROG_ALL_USERS (start menu\programs of all users)
;                 $SM_STARTUP_ALL_USERS (start menu\startup of all users)
;
;   SC_PATH       Optional path of the shortcut to be created. 
;                 This path is relative to SC_ROOT.
;
;   SC_NAME       Name of the shortcut to be created.
;
;   TARGET        Full path and name of the target exe file on the target system
;                 the shortcut points to. One of the variables $INSTDIR (main
;                 installation directory), $WINDIR (Windows directory) and
;                 $SYSDIR (system32 directory) should be used to reference the target file.
;
;   PARAMS        Optional parameters passed to the exe when it is launched.
;
;   START_PATH    Optional start directory for the target exe file.
;
ShortCut1=$SM_PROG_ALL_USERS|IconGlobal\Utrack|Utrack Control Panel.lnk|$INSTDIR\utrackcpl.exe||
;ShortCut2=$SM_PROG_ALL_USERS|IconGlobal\Utrack|USBPAL Spy.lnk|$INSTDIR\usbpalspy.exe||
;ShortCut3=$SM_PROG_ALL_USERS|IconGlobal\Utrack|ReadMe.lnk|$INSTDIR\ReadMe.txt||
ShortCut2=$SM_STARTUP_ALL_USERS||Utrack Control Panel.lnk|$INSTDIR\utrackcpl.exe|-hide|




; settings that apply to 32 bit systems
[Setup_x86]

; This key specifies the files to be copied from the setup package to the destination directory.
; Several files may be specified as a comma separated list.
; Note that files mentioned in other keys are copied by default and are not to be included in 
; this key (see below).
CopyFiles=utrack.cat, utrackks.cat

; This key specifies the .inf file that describe the USB driver to be installed.
; This file will also be copied to the destination directory.
UsbSetupInf=utrack.inf

; This key specifies the .inf file that describe the WDM/KS driver to be installed.
; This file will also be copied to the destination directory.
; This key is optional. No WDM/KS driver will be installed if it is empty.
KsSetupInf=utrackks.inf

; This key specifies the driver files to be installed.
; Several files may be specified as a comma separated list.
; These files will also be copied to the destination directory.
SysFiles=utrack.sys, utrackks.sys


; settings that apply to 64 bit systems
[Setup_x64]

; This key specifies the files to be copied from the setup package to the destination directory.
; Several files may be specified as a comma separated list.
; Note that files mentioned in other keys are copied by default and are not to be included in 
; this key (see below).
CopyFiles=utrack_x64.cat, utrackks_x64.cat

; This key specifies the .inf file that describe the USB driver to be installed.
; This file will also be copied to the destination directory.
UsbSetupInf=utrack_x64.inf

; This key specifies the .inf file that describe the WDM/KS driver to be installed.
; This file will also be copied to the destination directory.
; This key is optional. No WDM/KS driver will be installed if it is empty.
KsSetupInf=utrackks_x64.inf

; This key specifies the driver files to be installed.
; Several files may be specified as a comma separated list.
; This files will also be copied to the destination directory.
SysFiles=utrack_x64.sys, utrackks_x64.sys




; This key specifies the 64 bit ASIO DLL
; This file will also be copied to the destination directory.
; This key is optional. No 64 bit ASIO DLL will be installed if it is empty.
AsioDll=utrackasio_x64.dll


; *** EOF ***
